> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Column Profiles

> Return quality-oriented statistics for each column.



## OpenAPI

````yaml /api-reference/openapi.json get /api/playground/sessions/{session_id}/profile
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/sessions/{session_id}/profile:
    get:
      tags:
        - playground
      summary: Get Column Profiles
      description: Return quality-oriented statistics for each column.
      operationId: get_column_profiles_api_playground_sessions__session_id__profile_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            title: Session Id
        - name: columns
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Columns
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ColumnProfilesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ColumnProfilesResponse:
      properties:
        session_id:
          type: string
          title: Session Id
        row_count:
          type: integer
          title: Row Count
        profiles:
          items:
            $ref: '#/components/schemas/ColumnProfile'
          type: array
          title: Profiles
      type: object
      required:
        - session_id
        - row_count
        - profiles
      title: ColumnProfilesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ColumnProfile:
      properties:
        name:
          type: string
          title: Name
        dtype:
          type: string
          title: Dtype
        null_count:
          type: integer
          title: Null Count
        null_ratio:
          type: number
          title: Null Ratio
        unique_count:
          type: integer
          title: Unique Count
        is_numeric:
          type: boolean
          title: Is Numeric
        is_categorical:
          type: boolean
          title: Is Categorical
        min:
          anyOf:
            - type: number
            - type: 'null'
          title: Min
        max:
          anyOf:
            - type: number
            - type: 'null'
          title: Max
        mean:
          anyOf:
            - type: number
            - type: 'null'
          title: Mean
        std:
          anyOf:
            - type: number
            - type: 'null'
          title: Std
        p25:
          anyOf:
            - type: number
            - type: 'null'
          title: P25
        p50:
          anyOf:
            - type: number
            - type: 'null'
          title: P50
        p75:
          anyOf:
            - type: number
            - type: 'null'
          title: P75
        outlier_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Outlier Count
        top_values:
          items:
            type: object
          type: array
          title: Top Values
          default: []
        quality_flags:
          items:
            type: string
          type: array
          title: Quality Flags
          default: []
      type: object
      required:
        - name
        - dtype
        - null_count
        - null_ratio
        - unique_count
        - is_numeric
        - is_categorical
      title: ColumnProfile
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````